### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.upgradedir

## Module: `utils.upgradedir`

A script/util to upgrade all files in a directory

This is rather conservative in its approach, only copying/overwriting new and unedited files.

To be used by “upgrade” feature.

## Functions

`IPython.utils.upgradedir.``showdiff`(old, new)

`IPython.utils.upgradedir.``upgrade_dir`(srcdir, tgtdir)

  Copy over all files in srcdir to tgtdir w/ native line endings

  Creates .upgrade_report in tgtdir that stores md5sums of all files to notice changed files b/w upgrades.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »